# Package net.i2p

Core I2P package, contains information about the I2P version and an entry point to access important elements.

See: Description

- Class Summary
  Class | Description
  --- | ---
  CoreVersion | Expose a version string
  I2PAppContext | Provide a base scope for accessing singletons that I2P exposes.

- Exception Summary
  Exception | Description
  --- | ---
  I2PException | Base class of I2P exceptions This was originally used to provide chained exceptions, but those were added to Exception in Java 1.4, so this class provides nothing extra at the moment.

## Package net.i2p Description

Core I2P package, contains information about the I2P version and an entry point to access important elements.